> For the complete documentation index, see [llms.txt](https://docs.partner.aboutyou.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.partner.aboutyou.com/api/products/list-product-categories.md).

# List Product Categories

## List Categories

> \*\*Rate limit:\*\* 100 requests per minute

```json
{"openapi":"3.1.0","info":{"title":"Sellers Center API","version":"1.0.0"},"security":[{"APIKeyAuth":[]}],"components":{"securitySchemes":{"APIKeyAuth":{"type":"apiKey","in":"header","name":"X-API-Key"}},"schemas":{"GetCategoriesResponseSchema":{"properties":{"items":{"items":{"$ref":"#/components/schemas/CategorySchema"},"title":"Items","type":"array"},"pagination":{"$ref":"#/components/schemas/Pagination"}},"required":["items","pagination"],"title":"GetCategoriesResponseSchema","type":"object"},"CategorySchema":{"properties":{"id":{"description":"ID (integer) of this property","minimum":1,"title":"Id","type":"integer"},"name":{"description":"Name of the category","maxLength":255,"title":"Name","type":"string"},"path":{"description":"Path of the category for display purposes","maxLength":255,"title":"Path","type":"string"},"parent_id":{"anyOf":[{"description":"ID (integer) of this property","minimum":1,"type":"integer"},{"type":"null"}],"description":"ID of the parent category or null if it's a root category","title":"Parent Id"},"material_composition_type":{"anyOf":[{"enum":["textile","non-textile"],"type":"string"},{"type":"null"}],"description":"Material composition type based on mandatory attribute groups","title":"Material Composition Type"},"parent":{"anyOf":[{"type":"integer"},{"type":"null"}],"title":"Parent"}},"required":["id","name","path","parent_id","material_composition_type"],"title":"CategorySchema","type":"object"},"Pagination":{"properties":{"per_page":{"description":"Number of items per page.","exclusiveMinimum":0,"title":"Per Page","type":"integer"},"page":{"anyOf":[{"exclusiveMinimum":0,"type":"integer"},{"type":"null"}],"description":"Page number (null in cursor mode).","title":"Page"},"pages":{"anyOf":[{"minimum":0,"type":"integer"},{"type":"null"}],"description":"Total pages (null in cursor mode).","title":"Pages"},"total":{"anyOf":[{"minimum":0,"type":"integer"},{"type":"null"}],"description":"Total count (null in cursor mode).","title":"Total"},"next":{"anyOf":[{"type":"string"},{"type":"null"}],"description":"URL for next page (null in cursor mode).","title":"Next"},"prev":{"anyOf":[{"type":"string"},{"type":"null"}],"description":"URL for previous page (null in cursor mode).","title":"Prev"},"next_cursor":{"anyOf":[{"type":"string"},{"type":"null"}],"description":"Opaque cursor for next page when using cursor-based pagination.","title":"Next Cursor"}},"required":["per_page"],"title":"Pagination","type":"object"},"BadRequestSchema":{"properties":{"message":{"description":"Error message","title":"Message","type":"string"}},"required":["message"],"title":"BadRequestSchema","type":"object"}}},"paths":{"/api/v1/categories/":{"get":{"operationId":"scapi_app_endpoints_category_api_list_categories","summary":"List Categories","parameters":[{"in":"query","name":"query","schema":{"anyOf":[{"type":"string"},{"type":"null"}],"description":"Search term to filter items by path name","title":"Query"},"required":false,"description":"Search term to filter items by path name"},{"in":"query","name":"parent_category","schema":{"anyOf":[{"description":"ID (integer) of this property","minimum":1,"type":"integer"},{"type":"null"}],"description":"Filter items by parent category ID","title":"Parent Category"},"required":false,"description":"Filter items by parent category ID"},{"in":"query","name":"page","schema":{"default":1,"description":"Page number to retrieve items from.","minimum":1,"title":"Page","type":"integer"},"required":false,"description":"Page number to retrieve items from."},{"in":"query","name":"per_page","schema":{"default":20,"description":"Number of items per page.","maximum":100,"minimum":1,"title":"Per Page","type":"integer"},"required":false,"description":"Number of items per page."}],"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"$ref":"#/components/schemas/GetCategoriesResponseSchema"}}}},"400":{"description":"Bad Request","content":{"application/json":{"schema":{"$ref":"#/components/schemas/BadRequestSchema"}}}},"401":{"description":"Unauthorized","content":{"application/json":{"schema":{"$ref":"#/components/schemas/BadRequestSchema"}}}},"default":{"headers":{"X-RateLimit-Limit":{"description":"Total requests allowed in the time window","schema":{"type":"integer"}},"X-RateLimit-Remaining":{"description":"Remaining requests in the current window","schema":{"type":"integer"}}}}},"description":"**Rate limit:** 100 requests per minute","tags":["Categories"]}}}}
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.partner.aboutyou.com/api/products/list-product-categories.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
